Subject: RE: draft-ietf-pana-usage-scenarios-00.txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 6 Feb 2002 13:00:35 +0100

>  > > Hence while connected to a Cellular
  > > > >   network, a user is identified by an IMSI, on a WLAN 
  > or Bluetooth
  > > > >   network a user will have a different identity.
  > > >
  > > > Not necessarily. See EAP SIM and EAP AKA drafts.
  > >
  > >I think Hesham can comment on this.
  > 
  > Until he does, simply consider that a given user should be 
  > assigned by his 
  > home network a globally routable NAI that should work on any media, 
  > provided the local network has direct or indirect roaming 
  > agreements with 
  > the home network.
  > 

=> I already responded to that, but I see you have 
a new comment here. you said:
'a given user should be assigned by his home network 
a globally routable NAI that should work on any media'

'should' is one thing, 'does' is another. What 
happens today is not what you suggest
above. We could integrate NAIs into every 
L2 authentication scheme, but I wouldn't hold
my breath. 
We would like to have this access independant 
agreement, but we want to avoid going around
to all SDOs and SIGs to make sure that they 
support this. Also we would like to make 
sure that this identity is independant
of the IP version. A NAI is fine, now we
need a protocol to carry it. 
Why should the user identity be carried
over L2 anyway and get every default router
to extract this and send it to some AAA
server? what if the router is separated 
from the AP? wouldn't we need an AP - AR
L2 (or application layer in some cases!) 
protocol to carry this? 

I think having an application layer
protocol is much cleaner.

Hesham